Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
 Public Class EMailSendQueueRows_FileAttachment
    Inherits BaseObject

    Private _EMailSendQueueRows As EMailSendQueueRows
    Private _FileAttachments As FileData

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <Association("EMailSendQueueRows-EMailSendQueueRows_FileAttachment", GetType(EMailSendQueueRows))> _
    Property EMailSendQueueRows As EMailSendQueueRows
        Get
            Return _EMailSendQueueRows
        End Get
        Set(value As EMailSendQueueRows)
            SetPropertyValue("EMailSendQueueRows", _EMailSendQueueRows, value)
        End Set
    End Property
    Property FileAttachments As FileData
        Get
            Return _FileAttachments
        End Get
        Set(value As FileData)
            SetPropertyValue("FileAttachments", _FileAttachments, value)
        End Set
    End Property
End Class
